%def_disable debug

%define Name Xaudio
Name: xaudio
%define lname lib%Name
Version: 0.6.1
Release: alt1
Summary: %Name tools and utilities
License: %bsdstyle
Group: System/X11
URL: http://www.chaoticmind.net/~hcb/murx/%name
Source: %url/%name-%version.tar.bz2
Patch: %name-0.5-makefile.patch
Requires: %lname = %version-%release

# Automatically added by buildreq on Mon Mar 31 2008
BuildRequires: gcc-c++ libXext-devel libalsa-devel libaudiofile-devel
BuildRequires: xorg-x11-sdk
BuildRequires: rpm-build-licenses

%description
%Name is an extension to the X Window System providing PCM audio
capabilities.
This package contains %Name tools and utilities.


%package -n %lname
Summary: Library for %Name extension to the X Window System
Group: System/Libraries

%description -n %lname
Library for %Name extension to the X Window System.


%package -n xorg-x11-extensions-%name
Summary: An extension to the X Window System providing PCM audio capabilities
Group: System/X11
Requires: xorg-x11-server

%description -n xorg-x11-extensions-%name
%Name is an extension to the X Window System providing PCM audio
capabilities.
The server-side part of the %name is provided as a dynamically
loadable module that built stand-alone and loaded into the X server.


%package -n %lname-devel
Summary: Header for devel with %lname
Group: Development/C
Requires: %lname = %version-%release

%description -n %lname-devel
%Name is an extension to the X Window System providing PCM audio
capabilities.
This package contains headers for devel with %lname.


%package -n alsa-plugin-%name
Summary: %Name plugin for ALSA
Group: System/Libraries
Requires: %lname = %version-%release
Requires: libalsa

%description -n alsa-plugin-%name
%Name is an extension to the X Window System providing PCM audio
capabilities.
This package contains %Name plugin for ALSA.


%prep
%setup


%build
%define _optlevel 3
%add_optflags -DSecurityDestroyAccess=DixDestroyAccess
%add_optflags -DSecurityWriteAccess=DixWriteAccess
%add_optflags -DSecurityReadAccess=DixReadAccess
%configure
%make_build CFLAGS="%optflags $(pkg-config --cflags xorg-server)" lib/libXaudio.so all am demo


%install
%make_install libdir=%buildroot%_libdir includedir=%buildroot%_includedir mandir=%buildroot%_mandir install
mv %buildroot%_libdir/{xorg,X11}
install -d -m 0755 %buildroot%_bindir
install -m 0755 am %buildroot%_bindir/
install -m 0755 {,%buildroot%_bindir/%name-}player
install -m 0755 {,%buildroot%_bindir/%name-}shmplayer


%post -n %lname -p %post_ldconfig
%postun -n %lname -p %postun_ldconfig


%files
%doc README
%_bindir/*


%files -n xorg-x11-extensions-%name
%dir %_x11modulesdir/extensions
%_x11modulesdir/extensions/*


%files -n %lname
%_libdir/*.so


%files -n %lname-devel
%dir %_includedir/X11
%_includedir/X11/*
%_man3dir/*


%files -n alsa-plugin-%name
%_libdir/alsa-lib/*


%changelog
* Mon Mar 31 2008 Led <led@altlinux.ru> 0.6.1-alt1
- fixed requires

* Mon Mar 31 2008 Led <led@altlinux.ru> 0.6.1-alt0.1
- 0.6.1
- added subpackages:
  + xaudio
  + libXaudio
  + libXaudio-devel
  + alsa-plugin-xaudio
- removed subpackage xorg-x11-extensions-xaudio-devel

* Sat Jan 12 2008 Led <led@altlinux.ru> 0.5-alt0.2
- fixed build with new xorg

* Sat Sep 15 2007 Led <led@altlinux.ru> 0.5-alt0.1
- initial build
